Retrieves the user_planning_slot with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

user_planning_slot
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

user_id

Foreign key to user.

globally unique identifier

Required

user_planning_slot_type_id

Foreign key to user planning slot type id.

globally unique identifier

Required

date_from

Date from,

date
date_to

Date to,

date
description

Description of user planning slot.

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating.

date

Response Formats

application/json, text/json

Sample:
{
  "id": "b22f5f17-54dd-4b4e-9341-322892353348",
  "user_id": "84fbf897-35be-451e-b6d2-472a1f78ed42",
  "user_planning_slot_type_id": "401d51c3-d5c4-4c21-aa33-f8040fa467ca",
  "date_from": "2026-10-28T16:20:02.9023552+00:00",
  "date_to": "2026-10-28T16:20:02.9023552+00:00",
  "description": "sample string 6",
  "modified_dateutc": "2026-10-28T16:20:02.9023552+00:00"
}